Do you still offer the VyprVPN app for OSX 10.7 Lion or 10.8 Mountain Lion?

As of VyprVPN for Mac version 2.8.5, we have discontinued support for Mac OSX 10.7 Lion and 10.8 Mountain Lion. This decision came about due to some of the technical aspects and limitations of supporting both the older and newer versions of OSX. VyprVPN 2.8.5+ is now supported only on Mac OSX 10.9 Mavericks, 10.10 Yosemite, and 10.11 El Capitan.

We realize some of our customers will still be operating on these versions of OSX, so we have made available a version that will still run on 10.7 and 10.8. It is available for download at the link below. Please note, this is the last supported version for 10.7 and 10.8. No new app features or updates will be added for those operating systems.

Click here to download VyprVPN for Mac 2.8.0.3745 (Support for OSX 10.7+)

You can also setup a manual VPN connection using one of our tutorials. Click here to visit our manual setup page. See the relevant sections for your version of OSX.

Was this article helpful?
2 out of 2 found this helpful
Have more questions? Submit a request
Powered by Zendesk